[0m


CMP(1)		    UNIX Programmer's Manual		   CMP(1)



[1mNAME
     [0mcmp - compare two files

[1mSYNOPSIS
     cmp [0m[ [1m-l [0m] [ [1m-s [0m] file1 file2

[1mDESCRIPTION
     [0mThe two files are compared.  (If _f_i_l_e_1 is `-', the standard
     input is used.) Under default options, _c_m_p makes no comment
     if the files are the same; if they differ, it announces the
     byte and line number at which the difference occurred.  If
     one file is an initial subsequence of the other, that fact
     is noted.

     Options:

     [1m-l    [0mPrint the byte number (decimal) and the differing
	   bytes (octal) for each difference.

     [1m-s    [0mPrint nothing for differing files; return codes only.

[1mSEE ALSO
     [0mdiff(1), comm(1)

[1mDIAGNOSTICS
     [0mExit code 0 is returned for identical files, 1 for different
     files, and 2 for an inaccessible or missing argument.




























Printed 22/5/92     Revision 1.2 of 19/10/88			1



[0m